# Generated by CMake

if("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" LESS 2.5)
   message(FATAL_ERROR "CMake >= 2.6.0 required")
endif()
cmake_policy(PUSH)
cmake_policy(VERSION 2.6...3.19)
#----------------------------------------------------------------
# Generated CMake target import file.
#----------------------------------------------------------------

# Commands may need to know the format version.
set(CMAKE_IMPORT_FILE_VERSION 1)

# Protect against multiple inclusion, which would fail when already imported targets are added once more.
set(_targetsDefined)
set(_targetsNotDefined)
set(_expectedTargets)
foreach(_expectedTarget VTK::kwiml VTK::vtksys VTK::utf8 VTK::CommonCore VTK::CommonMath VTK::CommonTransforms VTK::CommonMisc VTK::CommonSystem VTK::CommonDataModel VTK::CommonExecutionModel VTK::doubleconversion VTK::lz4 VTK::lzma VTK::zlib VTK::IOCore VTK::expat VTK::IOXMLParser VTK::IOXML VTK::IOLegacy)
  list(APPEND _expectedTargets ${_expectedTarget})
  if(NOT TARGET ${_expectedTarget})
    list(APPEND _targetsNotDefined ${_expectedTarget})
  endif()
  if(TARGET ${_expectedTarget})
    list(APPEND _targetsDefined ${_expectedTarget})
  endif()
endforeach()
if("${_targetsDefined}" STREQUAL "${_expectedTargets}")
  unset(_targetsDefined)
  unset(_targetsNotDefined)
  unset(_expectedTargets)
  set(CMAKE_IMPORT_FILE_VERSION)
  cmake_policy(POP)
  return()
endif()
if(NOT "${_targetsDefined}" STREQUAL "")
  message(FATAL_ERROR "Some (but not all) targets in this export set were already defined.\nTargets Defined: ${_targetsDefined}\nTargets not yet defined: ${_targetsNotDefined}\n")
endif()
unset(_targetsDefined)
unset(_targetsNotDefined)
unset(_expectedTargets)


# Compute the installation prefix relative to this file.
get_filename_component(_IMPORT_PREFIX "${CMAKE_CURRENT_LIST_FILE}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
if(_IMPORT_PREFIX STREQUAL "/")
  set(_IMPORT_PREFIX "")
endif()

# Create imported target VTK::kwiml
add_library(VTK::kwiml INTERFACE IMPORTED)

set_target_properties(VTK::kwiml PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/vtk/"
  INTERFACE_SYSTEM_INCLUDE_DIRECTORIES "include/vtk/"
)

# Create imported target VTK::vtksys
add_library(VTK::vtksys STATIC IMPORTED)

set_target_properties(VTK::vtksys PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/vtk;${_IMPORT_PREFIX}/include/vtk/"
  INTERFACE_LINK_LIBRARIES "-lgdi32;ws2_32;psapi"
  INTERFACE_SYSTEM_INCLUDE_DIRECTORIES "include/vtk/"
)

# Create imported target VTK::utf8
add_library(VTK::utf8 INTERFACE IMPORTED)

set_target_properties(VTK::utf8 PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/vtk/"
  INTERFACE_SYSTEM_INCLUDE_DIRECTORIES "include/vtk/"
)

# Create imported target VTK::CommonCore
add_library(VTK::CommonCore STATIC IMPORTED)

set_target_properties(VTK::CommonCore PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_11"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/vtk"
  INTERFACE_LINK_LIBRARIES "-lgdi32;VTK::kwiml;VTK::vtksys;\$<LINK_ONLY:VTK::utf8>;Threads::Threads;\$<LINK_ONLY:\$<\$<PLATFORM_ID:SunOS>:socket>>;\$<LINK_ONLY:\$<\$<PLATFORM_ID:SunOS>:nsl>>;\$<LINK_ONLY:\$<\$<PLATFORM_ID:Android>:log>>"
)

# Create imported target VTK::CommonMath
add_library(VTK::CommonMath STATIC IMPORTED)

set_target_properties(VTK::CommonMath PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/vtk"
  INTERFACE_LINK_LIBRARIES "-lgdi32;VTK::CommonCore"
)

# Create imported target VTK::CommonTransforms
add_library(VTK::CommonTransforms STATIC IMPORTED)

set_target_properties(VTK::CommonTransforms PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/vtk"
  INTERFACE_LINK_LIBRARIES "-lgdi32;VTK::CommonCore;VTK::CommonMath;\$<LINK_ONLY:VTK::vtksys>"
)

# Create imported target VTK::CommonMisc
add_library(VTK::CommonMisc STATIC IMPORTED)

set_target_properties(VTK::CommonMisc PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/vtk"
  INTERFACE_LINK_LIBRARIES "-lgdi32;VTK::CommonCore;VTK::CommonMath;\$<LINK_ONLY:VTK::vtksys>"
)

# Create imported target VTK::CommonSystem
add_library(VTK::CommonSystem STATIC IMPORTED)

set_target_properties(VTK::CommonSystem PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/vtk"
  INTERFACE_LINK_LIBRARIES "-lgdi32;VTK::CommonCore;\$<LINK_ONLY:VTK::vtksys>;\$<LINK_ONLY:\$<\$<PLATFORM_ID:WIN32>:wsock32>>;\$<LINK_ONLY:Threads::Threads>"
)

# Create imported target VTK::CommonDataModel
add_library(VTK::CommonDataModel STATIC IMPORTED)

set_target_properties(VTK::CommonDataModel PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/vtk"
  INTERFACE_LINK_LIBRARIES "-lgdi32;VTK::CommonCore;VTK::CommonMath;VTK::CommonTransforms;\$<LINK_ONLY:VTK::CommonMisc>;\$<LINK_ONLY:VTK::CommonSystem>;\$<LINK_ONLY:VTK::vtksys>"
)

# Create imported target VTK::CommonExecutionModel
add_library(VTK::CommonExecutionModel STATIC IMPORTED)

set_target_properties(VTK::CommonExecutionModel PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/vtk"
  INTERFACE_LINK_LIBRARIES "-lgdi32;VTK::CommonCore;VTK::CommonDataModel;\$<LINK_ONLY:VTK::CommonMisc>;\$<LINK_ONLY:VTK::CommonSystem>"
)

# Create imported target VTK::doubleconversion
add_library(VTK::doubleconversion STATIC IMPORTED)

set_target_properties(VTK::doubleconversion PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/vtk;${_IMPORT_PREFIX}/include/vtk/"
  INTERFACE_LINK_LIBRARIES "-lgdi32"
  INTERFACE_SYSTEM_INCLUDE_DIRECTORIES "include/vtk/"
)

# Create imported target VTK::lz4
add_library(VTK::lz4 STATIC IMPORTED)

set_target_properties(VTK::lz4 PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/vtk;${_IMPORT_PREFIX}/include/vtk/"
  INTERFACE_LINK_LIBRARIES "-lgdi32"
  INTERFACE_SYSTEM_INCLUDE_DIRECTORIES "include/vtk/"
)

# Create imported target VTK::lzma
add_library(VTK::lzma STATIC IMPORTED)

set_target_properties(VTK::lzma PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/vtk;${_IMPORT_PREFIX}/include/vtk/"
  INTERFACE_LINK_LIBRARIES "-lgdi32"
  INTERFACE_SYSTEM_INCLUDE_DIRECTORIES "include/vtk/"
)

# Create imported target VTK::zlib
add_library(VTK::zlib STATIC IMPORTED)

set_target_properties(VTK::zlib PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/vtk;${_IMPORT_PREFIX}/include/vtk/"
  INTERFACE_LINK_LIBRARIES "-lgdi32"
  INTERFACE_SYSTEM_INCLUDE_DIRECTORIES "include/vtk/"
)

# Create imported target VTK::IOCore
add_library(VTK::IOCore STATIC IMPORTED)

set_target_properties(VTK::IOCore PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/vtk"
  INTERFACE_LINK_LIBRARIES "-lgdi32;VTK::CommonCore;VTK::CommonExecutionModel;\$<LINK_ONLY:VTK::CommonDataModel>;\$<LINK_ONLY:VTK::CommonMisc>;\$<LINK_ONLY:VTK::doubleconversion>;\$<LINK_ONLY:VTK::lz4>;\$<LINK_ONLY:VTK::lzma>;\$<LINK_ONLY:VTK::utf8>;\$<LINK_ONLY:VTK::vtksys>;\$<LINK_ONLY:VTK::zlib>"
)

# Create imported target VTK::expat
add_library(VTK::expat STATIC IMPORTED)

set_target_properties(VTK::expat PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/vtk;${_IMPORT_PREFIX}/include/vtk/"
  INTERFACE_LINK_LIBRARIES "-lgdi32"
  INTERFACE_SYSTEM_INCLUDE_DIRECTORIES "include/vtk/"
)

# Create imported target VTK::IOXMLParser
add_library(VTK::IOXMLParser STATIC IMPORTED)

set_target_properties(VTK::IOXMLParser PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/vtk"
  INTERFACE_LINK_LIBRARIES "-lgdi32;VTK::CommonCore;VTK::CommonDataModel;\$<LINK_ONLY:VTK::IOCore>;\$<LINK_ONLY:VTK::expat>;\$<LINK_ONLY:VTK::vtksys>"
)

# Create imported target VTK::IOXML
add_library(VTK::IOXML STATIC IMPORTED)

set_target_properties(VTK::IOXML PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/vtk"
  INTERFACE_LINK_LIBRARIES "-lgdi32;VTK::CommonCore;VTK::CommonExecutionModel;VTK::IOXMLParser;\$<LINK_ONLY:VTK::CommonDataModel>;\$<LINK_ONLY:VTK::CommonMisc>;\$<LINK_ONLY:VTK::CommonSystem>;\$<LINK_ONLY:VTK::IOCore>;\$<LINK_ONLY:VTK::vtksys>"
)

# Create imported target VTK::IOLegacy
add_library(VTK::IOLegacy STATIC IMPORTED)

set_target_properties(VTK::IOLegacy PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/vtk"
  INTERFACE_LINK_LIBRARIES "-lgdi32;VTK::CommonCore;VTK::CommonDataModel;VTK::CommonExecutionModel;VTK::IOCore;\$<LINK_ONLY:VTK::CommonMisc>;\$<LINK_ONLY:VTK::vtksys>"
)

if(CMAKE_VERSION VERSION_LESS 3.0.0)
  message(FATAL_ERROR "This file relies on consumers using CMake 3.0.0 or greater.")
endif()

# Load information for each installed configuration.
get_filename_component(_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)
file(GLOB CONFIG_FILES "${_DIR}/VTK-targets-*.cmake")
foreach(f ${CONFIG_FILES})
  include(${f})
endforeach()

# Cleanup temporary variables.
set(_IMPORT_PREFIX)

# Loop over all imported files and verify that they actually exist
foreach(target ${_IMPORT_CHECK_TARGETS} )
  foreach(file ${_IMPORT_CHECK_FILES_FOR_${target}} )
    if(NOT EXISTS "${file}" )
      message(FATAL_ERROR "The imported target \"${target}\" references the file
   \"${file}\"
but this file does not exist.  Possible reasons include:
* The file was deleted, renamed, or moved to another location.
* An install or uninstall procedure did not complete successfully.
* The installation package was faulty and contained
   \"${CMAKE_CURRENT_LIST_FILE}\"
but not all the files it references.
")
    endif()
  endforeach()
  unset(_IMPORT_CHECK_FILES_FOR_${target})
endforeach()
unset(_IMPORT_CHECK_TARGETS)

# This file does not depend on other imported targets which have
# been exported from the same project but in a separate export set.

# Commands beyond this point should not need to know the version.
set(CMAKE_IMPORT_FILE_VERSION)
cmake_policy(POP)
